cmake (3.16.3-1ubuntu1.20.04.1) focal; urgency=medium

  * Backport CMake imported targets GTest::gmock and GTest::gmock_main.
    (LP: #1986665)

 -- Eero Aaltonen <eero.aaltonen@vaisala.com>  Tue, 27 Sep 2022 12:09:35 +0300

cmake (3.16.3-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Unset proxy settings during autopkgtest. Tests try to resolve
    no-site and match stderr, with bad network on armhf autopkgtest
    runners instead the stderr is failing to resolve squid.internal.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 12:53:45 +0000

cmake (3.16.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #949964)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Feb 2020 14:59:35 +0100

cmake (3.15.4-1ubuntu3) focal; urgency=medium

  * Unset proxy settings during autopkgtest. Tests try to resolve no-site
    and match stderr, with bad network on armhf autopkgtest runners
    instead the stderr is failing to resolve squid.internal.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 15 Jan 2020 11:36:29 +0000

cmake (3.15.4-1ubuntu2) focal; urgency=medium

  * debian/patches/effafca77eacbb4988006b1f3f4d9154df6c33f8.patch:
    - cherry-pick upstream fix for new pango related sadness
      "fatal error: hb.h: No such file or directory"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Dec 2019 19:46:11 +0100

cmake (3.15.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #944090)
  * Disable FIleAPI json-extra test for now as it doesn't seem critical and
    fails with libjsoncpp 1.7.4.
  * Switch to debhelper compat level 12.
  * Pass --fail-missing to dh_missing.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 12 Nov 2019 20:11:25 +0100

cmake (3.13.4-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 10 Feb 2019 11:33:12 +0100

cmake (3.13.2-1) unstable; urgency=medium

  * New upstream release.
    - No longer passes implicit include directories to the moc tool,
      fixing kio FTBFS. (Closes: #915391)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 14 Dec 2018 19:07:46 +0100

cmake (3.13.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Helmut Grohne's script to generate toolchain files based on
    Ubuntu/Debian's Multi-Arch as debtoolchainfilegen.

  [ Felix Geyer ]
  * New upstream release.
    - Adds support for the Boost Stacktrace component. (Closes: #912074)
  * Drop FindBoost_add_-lpthread_#563479.diff, fixed upstream.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 30 Nov 2018 07:33:06 +0100

cmake (3.13.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches that have been applied upstream:
    - fix-ftbfs-on-kfreebsd.patch
    - fix_ftbfs_on_kfreebsd2.patch
    - hurd_so_noexec.patch
    - GNUInstallDirs-kfreebsd-man.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 28 Oct 2018 14:29:04 +0100

cmake (3.12.3-3) unstable; urgency=medium

  * Fix info and man page install directories on kFreeBSD. (Closes: #911700)
    - Add GNUInstallDirs-kfreebsd-man.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 28 Oct 2018 12:05:32 +0100

cmake (3.12.3-2) unstable; urgency=medium

  * Increase timeout of tests from 2000s to 5000s. (Closes: #910513)
    - Needed for riscv64 qemu-system buildds.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 16 Oct 2018 22:43:42 +0200

cmake (3.12.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS on hurd. (Closes: #900240)
  * Make shared libraries non-executable on hurd.
    - Fixes a test suite failure.
    - Cherry-pick upstream fix in hurd_so_noexec.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 07 Oct 2018 16:38:46 +0200

cmake (3.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from upstream to fix FTBFS in kfreebsd.  Closes: #905138
  * Add Build-Dependency on freebsd-glue on kfreebsd-any.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 17:50:12 +0200

cmake (3.12.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with recent version of libuv1. (Closes: #905140)
  * Drop qt_import_dir_variable.diff, not needed anymore.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 09 Aug 2018 21:35:37 +0200

cmake (3.11.2-1) unstable; urgency=medium

  * New upstream release.
    - Properly handles OpenJDK 10 versioning. (Closes: #897611)

 -- Felix Geyer <fgeyer@debian.org>  Sat, 19 May 2018 13:44:22 +0200

cmake (3.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes Java 10 detection. (Closes: #895229)

 -- Felix Geyer <fgeyer@debian.org>  Mon, 23 Apr 2018 22:41:25 +0200

cmake (3.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Disable CTestTestUpload in autopkgtest.
  * Point Vcs-* control fields to the new repo on salsa.
  * Switch to debhelper compat level 10.
  * Make cmake suggest cmake-doc. (Closes: #805901)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 18 Feb 2018 12:49:47 +0100

cmake (3.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Set Rules-Requires-Root: no

 -- Felix Geyer <fgeyer@debian.org>  Mon, 06 Nov 2017 20:40:15 +0100

cmake (3.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Increase test timeout to 2000s.
    - Hopefully this gives slow buildds enough time to run the Qt5Autogen test.
      (Closes: #876378)
  * Switch to python3 sphinx.
  * Remove upgrade maintainer scripts from before stretch.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 24 Sep 2017 12:12:40 +0200

cmake (3.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove fix-java9-detection.patch, applied upstream.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 11 Aug 2017 12:26:36 +0200

cmake (3.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop ancient Breaks/Replaces/Conflicts.
  * No longer suggest eclipse and codeblocks. (Closes: #750465)
  * Add Python and Java to findmodules autopkgtest.
  * Fix detection of OpenJDK 9 early access builds. (Closes: #868327)
    - Add fix-java9-detection.patch

 -- Felix Geyer <fgeyer@debian.org>  Tue, 25 Jul 2017 18:14:02 +0200

cmake (3.8.0-1) experimental; urgency=medium

  * New upstream release.
    - CPackDeb: print warning when "file" tool is missing. (Closes: #847307)
  * Refresh fix-ftbfs-on-kfreebsd.patch
  * Drop mips-rld-map-rel.patch, merged upstream.
  * Add librhash-dev to Build-Depends.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 15 Apr 2017 12:08:12 +0200

cmake (3.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 15 Jan 2017 16:00:24 +0100

cmake (3.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Don't try to link against libuv on hurd. (Closes: #844374)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Dec 2016 01:01:26 +0100

cmake (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove libjapser from the autopkgtest, the package has been removed
    from the archive.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 13 Nov 2016 19:35:16 +0100

cmake (3.7.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 06 Nov 2016 11:59:35 +0100

cmake (3.7.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Drop CMakeParseImplicitLinkInfo_Exclude_libclang_rt.patch, fixed upstream.
  * Refresh patches.
  * Add libuv1-dev to Build-Depends, required by new release.
  * Update Uploaders. (Closes: #840858)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 30 Oct 2016 23:21:54 +0100

cmake (3.6.2-2) unstable; urgency=medium

  * Add mips-rld-map-rel.patch to solve segfaults caused by new
    DT_MIPS_RLD_MAP_REL tag and RPATH removers (Closes: #820334).
    Thanks James Cowgill for the patch.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 14 Oct 2016 22:29:17 -0300

cmake (3.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix broken binaries when using clang with -fsanitize. (Closes: #835426)
    - Add CMakeParseImplicitLinkInfo_Exclude_libclang_rt.patch,
      cherry-picked from upstream.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 11 Sep 2016 18:25:36 +0200

cmake (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop FindImageMagick_find_program.patch, the underlying issue has been
    fixed upstream.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 21 Aug 2016 11:13:07 +0200

cmake (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that have been applied upstream:
    - FindLibArchive_Support_libarchive_3.2.patch
    - file_Sort_GLOB_results_to_make_it_deterministic.patch
  * Fix detection of ImageMagick.
    - Add FindImageMagick_find_program.patch
  * Add new autopkgtest which checks if various Find modules are wokring,

 -- Felix Geyer <fgeyer@debian.org>  Sun, 10 Jul 2016 10:49:22 +0200

cmake (3.5.2-2) unstable; urgency=medium

  * Make FindLibArchive compatible with libarchive 3.2. (Closes: #828092)
    - Add FindLibArchive_Support_libarchive_3.2.patch
  * Backport patch to make file(GLOB) order deterministic. (Closes: #824263)
    - Add file_Sort_GLOB_results_to_make_it_deterministic.patch

 -- Felix Geyer <fgeyer@debian.org>  Tue, 28 Jun 2016 19:39:56 +0200

cmake (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Add cvs to autopkgtest Depends. (Closes: #819775)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 22 Apr 2016 21:11:37 +0200

cmake (3.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FindCUDA regression in separate compilation. (Closes: #818937)
  * Update copyright file.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 29 Mar 2016 22:16:11 +0200

cmake (3.5.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes fltk_wrap_ui segmentation fault. (Closes: #809535)
  * Pass correct buildsystem to dh_auto_test, fixes FTBFS. (Closes: #818040)
  * Change Vcs-* and Homepage to https URLs.
  * Migrate to dbgsym debug package.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 13 Mar 2016 15:16:37 +0100

cmake (3.4.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Dec 2015 21:41:03 +0100

cmake (3.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 03 Dec 2015 18:45:35 +0100

cmake (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that have been applied upstream:
    - FindJNI.cmake.mips.patch
    - fix-hdf5-hl.patch
    - FindJNI-Add-support-for-x32-architecture-on-Linux.patch
    - Features_Extract_strings_from_test_binary_more_reliably.patch
    - FindPkgConfig_remove_variable_dereference.patch
    - FindPython_Add_versions_3.5_and_3.6.patch
  * Point watch file to the https URL.
  * Stop hardcoding the major version in cmake-data.install.
  * Remove upgrade maintainer scripts from before wheezy.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 17 Nov 2015 18:27:32 +0100

cmake (3.3.2-2) unstable; urgency=medium

  * Search for Python 3.5 and 3.6. (Closes: #802826)
    - Add FindPython_Add_versions_3.5_and_3.6.patch
  * Add tighter build-depends on dpkg-dev and debhelper for Build-Profiles
    support.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 07 Nov 2015 19:13:27 +0100

cmake (3.3.2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Drop Debian menu entries.
  * Make compiler feature testing more reliable.
    - Fixes testsuite failure on alpha. (Closes: #789807)
    - Features_Extract_strings_from_test_binary_more_reliably.patch
  * Fix FindPkgConfig when no minimum version has been set.
    - FindPkgConfig_remove_variable_dereference.patch
  * Remove inactive uploaders from the list.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 20 Sep 2015 21:36:39 +0200

cmake (3.3.1-2) experimental; urgency=medium

  * Set the team mailing list as maintainer.
  * Add a stage1 build profile that disables building cmake-qt-gui.
    (Closes: #738161)
  * Add autopkgtests which run the upstream testsuite against the system cmake.
  * Add support for x32 in FindJNI. (Closes: #792262)
    - FindJNI-Add-support-for-x32-architecture-on-Linux.patch

 -- Felix Geyer <fgeyer@debian.org>  Fri, 28 Aug 2015 18:41:24 +0200

cmake (3.3.1-1) experimental; urgency=medium

  * New upstream release.
    - Fixes bashism in Modules/Squish4RunTestCase.sh. (Closes: #772218)
  * Drop patches that have been applied upstream:
    - cpack-doc-typo.patch
    - protect-tests-from-makeflags.patch
    - custom-sphinx-flags.patch
    - fix-mips-endian.patch
    - openjdk-8-detection.patch
  * Move bash_completion from /etc to /usr/share.
    - Stop using dh_bash-completion. It still installs files to /etc and
      dh_install works just fine.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 21 Aug 2015 11:57:13 +0200

cmake (3.2.2-2) unstable; urgency=medium

  * Make cmake.bash-completion use wildcards for the minor version
    thus avoiding installing the file as a script (Closes: #785267).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 13 May 2015 23:04:05 -0300

cmake (3.2.2-1) unstable; urgency=medium

  [ Mario Lang ]
  * New upstream release (Closes: #780704).
    - Fixes version detection in the OpenSSL module. (Closes: #784443)
  * Add myself to Uploaders.
  * Build-Depend on liblzma-dev and libjsoncpp-dev.
  * Drop patches merged upstream:
    - fix-FindImageMagick-1.diff
    - fix-FindImageMagick-2.diff
    - FindJNI_ppc64le.diff
    - hurd_host_system_processor.diff
  * Refresh patches:
    - FindBoost_add_-lpthread_#563479.diff
    - FindJNI.cmake.mips.patch
    - fix-ftbfs-on-kfreebsd.patch
    - fix-hdf5-hl.patch
    - qt_import_dir_variable.diff
  * Bump Standards-Version to 3.9.6.
  * Fix "Typo in cpack documentation" by adding new patch cpack-doc-typo.patch
    (Closes: #760298)
  * debian/cmake-data.install: Install new manpage cmake-compile-features.7

  [ Felix Geyer ]
  * Build cmake-qt-gui against Qt 5 again.
  * Add protect-tests-from-makeflags.patch, cherry-picked from upstream.
    - Fixes running the test suite in parallel from dh_auto_test.
  * Make builds reproducible.
    - Add custom-sphinx-flags.patch, cherry-picked from upstream.
    - Pass the date from d/changelog to sphinx.
  * Add libcurl-ssl-dev as an alternative build-dependency to
    libcurl4-openssl-dev. (Closes: #785128)
  * Properly detect mipsel as little endian architecture. (Closes: #785126)
    - Add fix-mips-endian.patch
  * Fix detection of openjdk 8. (Closes: #772631)
    - Add openjdk-8-detection.patch

 -- Felix Geyer <fgeyer@debian.org>  Wed, 13 May 2015 19:02:05 +0200

cmake (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Adds support for OpenRISC (or1k). (Closes: #749004)
  * Detect the processor when running on Hurd. (Closes: #761060)
    - Add hurd_host_system_processor.diff, cherry-picked from upstream.
  * Revert cmake-qt-gui to Qt 4 for now as qtbase 5 fails to build on some
    architectures.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Sep 2014 19:16:38 +0200

cmake (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches (fixed upstream):
    - fix-bootstrap-test-1.diff
    - fix-bootstrap-test-2.diff

 -- Felix Geyer <fgeyer@debian.org>  Sat, 09 Aug 2014 21:11:50 +0200

cmake (3.0.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #743231)
    - Uses multiarch libdir only when prefix is /usr. (Closes:  #739876)
    - Doesn't crash on bad generator name. (Closes: #747306)
    - Provides a FindLua module that supports versions 5.0 - 5.3.
      (Closes: #739285)
    - Fixes parsing CMakeLists.txt in UTF-8 with BOM encoding. (Closes: #593327)
    - Call cmake-gui for edit_cache when using the ninja generator.
      (Closes: #712241)
  * Drop patches (fixed upstream):
    - install_to_multiarch_libdir_on_kfreebsd_hurd.diff
    - FindPHP4_fix_typo.diff
    - FindJNI_amd64_ppc_biarch.diff
    - fix-FindFreetype.diff
    - FindRuby_support_Ruby_2.diff
    - fix-FindFreetype-version.diff
  * Refresh patches:
    - FindJNI.cmake.mips.patch
    - FindJNI_ppc64le.diff
  * Fix running the test suite.
    - Cherry-pick upstream fix in fix-bootstrap-test-1.diff and
      fix-bootstrap-test-2.diff
  * Build the sphinx documentation and man pages.
    - Build-depend on python-sphinx.
  * Update install files.
  * Pass --list-missing to dh_install.
  * Use sphinxdoc debhelper sequence.
  * Add -Wl,--as-needed to LDFLAGS to avoid overlinking.
  * Drop custom cmake-gui manpage, upstream provides one now.
  * Build cmake-qt-gui against Qt 5.
  * Drop obsolete lintian override cmake-data: extra-license-file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update debian/copyright.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 07 Aug 2014 23:38:00 +0200

cmake (2.8.12.2-2) unstable; urgency=high

  * Search for Python 3.4 in FindPython{Interp,Libs}.
    - Add search_for_python3.4.diff
  * Don't create docs symlinks from arch-dep to arch-indep packages.
    (Closes: #760823)
  * Move the rm_conffile calls to cmake.maintscript.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 08 Sep 2014 22:18:32 +0200

cmake (2.8.12.2-1) unstable; urgency=medium

  [ Felix Geyer ]
  * New upstream release.
  * Add Lisandro and myself to uploaders.
  * Correctly pass CXXFLAGS with CPPFLAGS to bootstrap.
  * Suggest ninja-build as cmake provides a generator for ninja.
    (Closes: #743229)
  * Fix JNI detection on ppc64el.
    - Add FindJNI_ppc64le.diff, cherry-picked from upstream.
  * Drop ancient Breaks/Replaces.
  * Add lintian override for source-is-missing tags.
    These are just binary test files used by the test suite to verify that
    changing the RPATH works fine.
  * Drop some redundant build options from debian/rules.
  * Drop multiarch_findgtk2_fix.diff, was already fixed upstream in 2.8.11.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update debian/copyright.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 07 Aug 2014 20:16:56 +0200

cmake (2.8.12.1-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Fix HDF5 macro for HL and Fortran_HL components (closes: #756108).

 -- Gilles Filippini <pini@debian.org>  Wed, 30 Jul 2014 12:51:57 +0200

cmake (2.8.12.1-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Detect the version string of Freetype 2.5. (Closes: #732182)
    - Add fix-FindFreetype-version.diff, cherry-picked from upstream.
  * Detect the multi-arch ImageMagick include dirs. (Closes: #747907)
    - Add fix-FindImageMagick-1.diff and fix-FindImageMagick-2.diff,
      cherry-picked from upstream.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 22 Jul 2014 21:18:39 +0200

cmake (2.8.12.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for mips64 mips64el mipsn32 mipsn32el in
    Modules/FindJNI.cmake.
    Add FindJNI.cmake.mips.patch.
    Patch by Yunqiang Su.
    Closes: #747174.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 26 May 2014 12:34:45 +0100

cmake (2.8.12.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * multiarch-python-include-dirs.diff has bad side-effects
    Drop multiarch-python-include-dirs.diff
    Closes: #735248

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 23 May 2014 09:25:22 +0100

cmake (2.8.12.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Backport patch to support Ruby 2.0 and 2.1 in FindRuby.cmake.
    (closes: #739826, #730095)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 30 Mar 2014 21:57:27 +0200

cmake (2.8.12.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make sure to find freetype headers in their new location (without an
    extra freetype/ directory, fix-FindFreetype.diff). (Closes: #731089)

 -- Cyril Brulebois <kibi@debian.org>  Sun, 15 Dec 2013 10:30:54 +0000

cmake (2.8.12.1-1) unstable; urgency=low

  * New upstream release:
    - Automoc no longer ignores ADD_DEFINITIONS. (Closes: #728793)
  * Migrate to emacs policy v2.0: cmake-data no longer needs to depend on
    emacsen-common but pretty recent debhelper is needed at build time.
  * Drop fixup_manpages.diff patch: merged upstream.

 -- Modestas Vainius <modax@debian.org>  Thu, 07 Nov 2013 00:56:52 +0200

cmake (2.8.12-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD (fix-ftbfs-on-kfreebsd.patch).

 -- Modestas Vainius <modax@debian.org>  Mon, 04 Nov 2013 00:31:57 +0200

cmake (2.8.12-1) unstable; urgency=low

  * New upstream release:
    - no longer contains workaround for GCC 2.96 bugs; (Closes: #717144)
    - cmake -E touch no longer truncates time to seconds. (Closes: #699657)
  * Enable bash-completion. (Closes: #722236)
  * Switch to using libcurl4-openssl-dev rather than GnuTLS variant. cmake and
    all its dependencies appear to be licence compatible. The main reason for
    the switch is that OpenSSL variant appear to be less troublesome.
    (Closes: #716798)
  * Follow emacsen policy 5C and link cmake-mode.el source file next to
    compiled one. Thanks to Kevin Ryde. (Closes: #710570)
  * Add compiled cmake-mode.elc to load-path and do not barf in emacs if
    cmake-data was removed but not purged. Thanks to Kevin Ryde.
    (Closes: #710573)
  * Remove the whole emacs compiled directory rather than just .elc file.
    Thanks to Kevin Ryde. (Closes: #710572)
  * Fix a code typo in PHP4 (patch FindPHP4_fix_typo.diff). Thanks to Mathieu
    Malaterre for the patch. (Closes: #722475)
  * Properly find Java when kernel is 64bit, userland - 32bit (amd64/ppc64).
    (patch: FindJNI_amd64_ppc_biarch.diff) (Closes: #718290)
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Fix spelling mistakes in manpages (patch: fixup_manpages.diff).

 -- Modestas Vainius <modax@debian.org>  Sun, 03 Nov 2013 20:42:54 +0200

cmake (2.8.11.2-1) unstable; urgency=low

  * New upstream release.
  * Use canonical URL in the Vcs-Git control field.

 -- Modestas Vainius <modax@debian.org>  Thu, 04 Jul 2013 23:27:07 +0300

cmake (2.8.11.1-1) unstable; urgency=low

  * New upstream tweak release:
    - this release fixes tests which used to fail when cmake build path
      contained regex metacharacters. As a result, cmake should no longer FTBFS
      on Debian buildds which have '+' symbol in the build path.

 -- Modestas Vainius <modax@debian.org>  Sun, 16 Jun 2013 00:58:09 +0300

cmake (2.8.11-2) unstable; urgency=low

  * Build with BZip2 support, thanks to Pino Toscano for heads up!
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 May 2013 22:47:11 +0300

cmake (2.8.11-1) unstable; urgency=low

  * New upstream release.
  * Add multiarch-python-include-dirs.diff to support multi-arch capable
    python. Stolen from Ubuntu.
  * FindQt4: define QT_IMPORTS_DIR variable even if it is not present on
    the system (i.e. there are no plugins currently installed). Stolen
    from Ubuntu. Patch qt_import_dir_variable.diff.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 May 2013 12:38:26 +0300

cmake (2.8.11~rc3-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sun, 21 Apr 2013 11:09:05 +0300

cmake (2.8.11~rc1-1) experimental; urgency=low

  * New upstream release. (Closes: #700225)
  * Make cmake recommend make and gcc rather than suggest them.
  * Make cmake suggest codeblocks and eclipse.
  * Drop XMLrpc support. It has been disabled upstream for a while now.
    (Closes: #687326)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Replace FindBoost_add_-lpthread_#563479.diff patch with a better version
    from upstream BTS and make it apply to current FindBoost.
  * Drop FindPostgreSQL_665721.diff patch, merged upstream.
  * Refresh multiarch_findgtk2_fix.diff patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 16 Mar 2013 20:41:24 +0200

cmake (2.8.9-1) unstable; urgency=low

  * New upstream release (no upstream changes since RC3).
  * Make FindPostgreSQL find headers on Debian. Thanks to Pere Nubiola i
    Radigales and Gregor Jasny. (Closes: #665721)
    Patch: FindPostgreSQL_665721.diff
  * Refresh patches.
  * Install to multiarch libdir on kFreeBSD and Hurd like on Linux. Thanks
    to John Stamp (Closes: #684956)
    Patch: install_to_multiarch_libdir_on_kfreebsd_hurd.diff

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Aug 2012 23:13:37 +0300

cmake (2.8.9~rc3-1) unstable; urgency=low

  * New upstream release:
    - fixes COMPONENT option. (Closes: #681428)
  * Remove obsolete /etc/emacs/site-start.d/50cmake.el conffile (predates
    squeeze). (Closes: #681625)

 -- Modestas Vainius <modax@debian.org>  Sat, 04 Aug 2012 10:41:40 +0300

cmake (2.8.9~rc1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches, merged upstream:
    - backport_findpkgconfig_set_found_variable.diff;
    - backport_module_no_soname.diff;
    - manpage_fixes.diff.
  * Drop cmake-{qt,curses}-gui.lintian-overrides, not needed with newer lintian.
  * Enable hardening flags (by appending CPPFLAGS to C(XX)FLAGS).

 -- Modestas Vainius <modax@debian.org>  Wed, 27 Jun 2012 21:34:06 +0300

cmake (2.8.8-3) unstable; urgency=low

  * Backport a no-soname feature from CMake (2.8.9) master tree. Just set a
    NO_SONAME property on the shared library or module target in order to skip
    addition of the SONAME field to the shared object. This makes it possible to
    build Debian Python policy compliant modules with CMake. (Closes: #668982)

 -- Modestas Vainius <modax@debian.org>  Wed, 02 May 2012 21:50:09 +0300

cmake (2.8.8-2) unstable; urgency=low

  * FindPkgConfig.cmake: properly set documented PKG_CONFIG_FOUND variable
    (patch backport_findpkgconfig_set_found_variable.diff). (Closes: #669627)

 -- Modestas Vainius <modax@debian.org>  Sun, 29 Apr 2012 09:55:50 +0300

cmake (2.8.8-1) unstable; urgency=low

  * New upstream release:
    - do not segfault when adding symbols to ZIP. (Closes: #666456)
      Fixed by upstream commit: 768cf9183
  * Remove patches merged/backported from upstream:
    - backport_findpython_fixes.diff
    - backport_findruby_improvements.diff
    - backport_support_cxxtest4.diff
    - manpage_fixes.diff
    - mipsel_is_little_endian.diff
    - paths_in_regex_espace_metachars.diff
  * Refresh FindBoost_add_-lpthread_#563479.diff patch.
  * Readd manpage_fixes.diff patch with new man page fixes.

 -- Modestas Vainius <modax@debian.org>  Thu, 19 Apr 2012 22:32:10 +0300

cmake (2.8.7-4) unstable; urgency=low

  * Backport a bunch of FindPython* related commits from cmake master. It
    is now possible to force a specific python version via command line again.
    The interface has changed though, see NEWS entry. (Closes: #663188)
    Patch: backport_findpython_fixes.diff
  * Backport a bunch of FindRuby improvements from cmake master. It should be
    able to properly find ruby 1.9.1 as packaged in Debian now.
    (Closes: #643949)
    Patch: backport_findruby_improvements.diff
  * Add support for CxxTest 4 in FindCxxTest (backport a patch from cmake
    master). (Closes: #662982) Thanks to Simone Rossetto.
    Patch: backport_support_cxxtest4.diff
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Mark cmake Multi-Arch: foreign. The change was stolen from Ubuntu
    cmake_2.8.7-0ubuntu3 package. Thanks to Steve Langasek.

 -- Modestas Vainius <modax@debian.org>  Fri, 16 Mar 2012 23:49:28 +0200

cmake (2.8.7-3) unstable; urgency=medium

  * Fix some tests not to fail if absolute build path contains regex
    metacharacters like +. This makes the package binNMUable again.
    (patch paths_in_regex_espace_metachars.diff)
  * Drop support_cppflags.diff patch because this particular solution was
    rejected by upstream. This reopens #653916.

 -- Modestas Vainius <modax@debian.org>  Mon, 27 Feb 2012 00:56:14 +0200

cmake (2.8.7-2) unstable; urgency=low

  * Properly detect mipsel as little endian architecture. Fixes FTBFS (patch
    mipsel_is_little_endian.diff).
  * Bump debhelper compat level to 9 in order to receive build flags
    automagically.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Feb 2012 13:44:42 +0200

cmake (2.8.7-1) unstable; urgency=low

  * New upstream release. (Closes: #658427)
  * Disable CTestTestUpload test because it requires Internet access. Thanks to
    Felix Geyer. (Closes: #634603)
  * Remove multiarch_lib_dirs_should_be_implicit.diff patch, merged upstream.
  * Refresh other patches.
  * Respect CPPFLAGS environment variable when building C/C++ sources (patch
    support_cppflags.diff). (Closes: #653916)
  * Fix various typos and formatting errors in manpages (patch
    manpage_fixes.diff).
  * Update install files: add usr/share/aclocal/cmake.m4.

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Feb 2012 15:33:35 +0200

cmake (2.8.5-1) unstable; urgency=low

  * New upstream release:
    - fixes UseSWIG. (Closes: #631497)
  * Drop screen-256color-bce.diff - merged upstream.
  * Drop spelling_formatting_fixes.diff - merged upstream.
  * Make sure CMake considers /lib/<arch> as implicit and keeps it out of
    automatic R(UN)PATH (patch multiarch_lib_dirs_should_be_implicit.diff).
  * Refresh FindBoost_add_-lpthread_#563479.diff patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jul 2011 15:18:39 +0300

cmake (2.8.5~rc2-1) unstable; urgency=low

  * New upstream release.
  * No longer repack upstream tarball and drop dfsg suffix from the version
    number. The tarball is DFSG clean now.
  * Drop fixup_manpages.diff patch, merged upstream.
  * Drop backport_test_order_fix.diff patch, was backported from upstream.
  * Drop multiarch_basic_support.diff patch, merged upstream.
  * Refresh screen-256color-bce.diff patch.
  * Add spelling_formatting_fixes.diff which fixes a couple of new
    spelling / formatting errors.
  * Override incorrect menu-icon-missing lintian warning properly.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Jun 2011 17:33:45 +0300

cmake (2.8.4+dfsg.1-5) unstable; urgency=medium

  * Fix multiarch regex to support armel and (hopefully) all other possible
    linux architectures (patch multiarch_basic_support.diff updated).
  * Support multiarch paths on kfreebsd and hurd (patch
    multiarch_basic_support.diff updated). (Closes: #630167)
  * Urgency=medium, the bugs above make cmake almost unusable on armel and
    kfreebsd.

 -- Modestas Vainius <modax@debian.org>  Sat, 11 Jun 2011 22:47:18 +0300

cmake (2.8.4+dfsg.1-4) unstable; urgency=low

  * Drop multiarch_library_directory_hack.diff patch. A better solution has
    been implemented (see below).
  * Add multiarch implementation from upstream (patch
    multiarch_basic_support.diff, taken from upstream bug #12037). New
    implementation does not need dpkg-dev 1.16, it is entirely backwards
    compatible with previous releases and in addition, it implements multiarch
    support for find_package().
  * Adapt multiarch_findgtk2_fix.diff patch to work with
    multiarch_basic_support.diff.

 -- Modestas Vainius <modax@debian.org>  Thu, 09 Jun 2011 01:18:19 +0300

cmake (2.8.4+dfsg.1-3) unstable; urgency=low

  * Merge 2.8.2+dfsg.1-0+squeeze1 changes.
  * Do not start cmake description synopsis with an article.
  * Generate colour Makefiles when $TERM is set to 'screen-256color-bce'.
    Thanks to Davide Mancusi for the patch (screen-256color-bce.diff).
    (Closes: #627853)
  * Add libxmlrpc-core-c3-dev as a preferred alternative to libxmlrpc-c3-dev
    in Build-Depends. libxmlrpc-c3-dev has become a transitional package.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Switch Vcs-* debian/control fields to anonscm.debian.org.
  * Fix find_library() to find libraries in multiarch library paths (patch
    multiarch_library_directory_hack.diff). While the patch is not a good fix
    (hackish by nature, no cross-compilation support etc.), it should do the
    job in majority of cases. Also require dpkg-dev >= 1.16 at both build
    time (Build-Depends) and runtime (cmake Depends) because the patch needs
    dpkg-architecture -qDEB_HOST_MULTIARCH. (Closes: #618932)
  * Make FindGTK2.cmake work with Debian multiarch
    (patch multiarch_findgtk2_fix.diff). (LP: #751940)

 -- Modestas Vainius <modax@debian.org>  Wed, 08 Jun 2011 00:15:00 +0300

cmake (2.8.4+dfsg.1-2) unstable; urgency=low

  * Add backport_test_order_fix.diff to restore conpatibility with earlier
    versions with respect to the test run order. (Closes: #615054)

 -- Modestas Vainius <modax@debian.org>  Fri, 25 Feb 2011 19:12:33 +0200

cmake (2.8.4+dfsg.1-1) unstable; urgency=low

  * 2.8.4-2 ended up in unstable by accident :-( Fix distribution field
    accordingly.
  * Remove files licensed under proprietary licence from the original tarball.
    (Closes: #614390) Generate a new tarball with +dfsg.1 suffix. Thanks to
    Vasily Gurevich for heads up.

 -- Modestas Vainius <modax@debian.org>  Wed, 23 Feb 2011 23:12:02 +0200

cmake (2.8.4-2) unstable; urgency=low

  [ Kai Wasserbäch ]
  * debian/watch: Remove trailing backslash.

  [ Modestas Vainius ]
  * Merge 2.8.3-5.

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Feb 2011 14:53:41 +0200

cmake (2.8.4-1) experimental; urgency=low

  * New upstream release.

  [ Kai Wasserbäch ]
  * Dropped obsolete patches (merged or taken from upstream):
    - backport_fix_asm_support.diff
    - FindTCL_fix_#600245.diff
    - FindPython_fix_#569321_and_#580503.diff (Please note, that upstream's
      solution is slightly different from what Debian had initially!)
  * debian/patches/FindBoost_add_-lpthread_#563479.diff: Added.
    (Closes: #563479)
  * debian/README.Debian: Deleted, we're shipping an unmodified version of the
    Python modules again.
  * debian/README.source: Deleted, not needed with "3.0 (quilt)".
  * debian/control:
    - Changed my E-Mail address.
    - Bumped B-D on debhelper.
  * debian/compat: now "8".
  * debian/rules: Updated for debhelper v8.

  [ Modestas Vainius ]
  * Disable git-import-orig in debian/watch. One extra command is not a good
    enough reason to lose control of packaging to non-trivial black-box tools.
  * Use less error-prone way of setting build flags.
  * Do not set MINGW_CC_LINUX2WIN_EXECUTABLE build flag. Workaround is no
    longer needed with ccache 3.0 or later.
  * Add verify-build-flags target to debian/rules. It can be used to verify if
    build flags are still valid (i.e. present in any of CMakeLists.txt).
  * Remove obsolete build flags from debian/rules:
    - BUILD_WXDialog;
    - TARGET_VERSION;
    - TARGET_SOVERSION;
    - BUILD_DOXYGEN.
  * Support parallel building at bootstrap phase.
  * Enable more verbosiness when bootstraping.
  * Add more spelling fixes to fixup_manpages.diff patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 20:07:33 +0200

cmake (2.8.3-5) unstable; urgency=low

  * Check if /usr/share/doc/$pkgname is a directory before attempting to remove
    it in {cmake,cmake-doc,cmake-dbg,cmake-*-gui}.postinst. (Closes: #614202)

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Feb 2011 14:16:34 +0200

cmake (2.8.3-4) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 14:43:46 +0200

cmake (2.8.3-3) experimental; urgency=low

  * Install documentation to /usr/share/cmake-data instead as it's the "base"
    package rather than cmake. Also link doc directories to it.
  * The job of replacing directories with symlinks apparently is a tough one.
    Create a symlink manually in the postinst of the affected (!cmake-data)
    packages.

 -- Modestas Vainius <modax@debian.org>  Sun, 02 Jan 2011 14:10:18 +0200

cmake (2.8.3-2) experimental; urgency=low

  [ Kai Wasserbäch ]
  * debian/source/local-options: Added "unapply-patches".
  * debian/watch: Added git-import-orig invocation.
  * debian/gbp.conf: Added, to ensure we use pristine-tar.
  * debian/patches/FindTCL_fix_#600245.diff: Added. (Closes: #600245)

  [ Modestas Vainius ]
  * Install cmake documentation into /usr/share/doc/cmake/ and link doc
    directories of the rest binary packages to it (needs debhelper 7.4.2).
    (LP: #669197)
  * Backport a patch from 2.8.4 to fix ASM support. Thanks to Leon Nardella for
    heads up. (Closes: #608510, LP: #695335)

 -- Modestas Vainius <modax@debian.org>  Sun, 02 Jan 2011 12:45:38 +0200

cmake (2.8.3-1) experimental; urgency=low

  * New upstream release.

  [ Kai Wasserbäch ]
  * debian/patches/fix_spelling_errors.patch: Added Applied-Upstream header.
  * debian/control: Bumped Standards-Version to 3.9.1, no further changes
    needed.

  [ Modestas Vainius ]
  * Drop patches which were merged upstream:
    - debian/patches/hurd_platform.diff;
    - FindGTK2_pangommconfig.diff;
    - FindJNI_fix_libarch_determination.diff;
    - cpack_installed_size.diff;
    - add_libarchive_script.patch - better version merged upstream;
    - fix-CTestTestFailedSubmit-xmlrpc.diff;
    - fix_spelling_errors.patch.
  * Adapt FindPython_fix_#569321_and_#580503.diff patch to upstream changes.
  * Bump libarchive-dev Build-Depends to 2.8.0. cmake needs symbols which
    appeared in that version. (Closes: #595275)
  * Add fixup_manpages.diff patch to fix small issues with cmake mangpages
    (found by lintian).

 -- Modestas Vainius <modax@debian.org>  Sat, 13 Nov 2010 02:16:34 +0200

cmake (2.8.2+dfsg.1-0+squeeze1) stable-proposed-updates; urgency=low

  * Regenerate original tarball removing files provided under proprietary
    licence. (Closes: #614390) They were not actually used. Mention removed
    files in the debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Fri, 04 Mar 2011 22:16:29 +0200

cmake (2.8.2-2) unstable; urgency=low

  [ Kai Wasserbäch ]
  * debian/control:
    - Added libarchive-dev to Build-Depends.
    - Don't {,B-}D on procps on Hurd, already provided by hurd.
    - Added Homepage field (fixes no-homepage-field).
    - Added new binary package cmake-doc and moved all additional
      documentation there (registered with doc-base now).
  * debian/rules: Use system libarchive.
  * debian/patches:
    - add_libarchive_script.patch: Added to allow building with the system's
      libarchive.
    - fix_spelling_errors.patch: Added. Thanks to Lintian for finding them.

  [ Modestas Vainius ]
  * Build with CTEST_USE_XMLRPC to re-enable XMLRPC support in CTest and add
    fix-CTestTestFailedSubmit-xmlrpc.diff patch to fix a (wrongly) failing test
    in that case.
  * Add cmake-dbg package.
  * Add cmake to cmake-doc Suggests.
  * Start package synopsis with lowercase letter where applicable.

 -- Modestas Vainius <modax@debian.org>  Mon, 12 Jul 2010 02:14:05 +0300

cmake (2.8.2-1) unstable; urgency=low

  * New upstream release:
    - Detects Clang compiler (Closes: #560693).

  [ Kai Wasserbäch ]
  * debian/patches/debian/patches/FindPython_fix_#569321_and_#580503.diff:
    Added. (Closes: #569321, #580503)
  * debian/cmake-data.NEWS: Document the changes of the new patch, so nobody
    gets surprised.

  [ Modestas Vainius ]
  * Update patches:
    - kFreeBSD_Hurd_fixes.diff - remove, merged upstream.
  * Bump Standards-Version to 3.9.0:
    - replace Conflicts: cmake (<= 2.6.2-1) with Breaks in cmake-data;
    - add Breaks: cmake (<= 2.6.2-1) to cmake-gui-curses.
  * Remove deprecated references to /usr/share/common-licenses/BSD from
    debian/copyright.
  * Add packaging copyright to debian/copyright.
  * Include copyright information for Utilities/xml/* in the debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Wed, 30 Jun 2010 11:20:53 +0300

cmake (2.8.1-5) unstable; urgency=low

  [ Kai Wasserbäch ]
  * debian/control: added myself to Uploaders with Modestas' permission.

  [ Modestas Vainius ]
  * Add procps to Build-Depends and cmake Depends. cmake sometimes uses ps
    binary.
  * Fix FindJNI patch (again): avoid using tricky bits of cmake IF() command
    syntax. This should fix FindJNI on architectures which do not need special
    CMAKE_SYSTEM_PROCESSOR handling (e.g. ia64).

 -- Modestas Vainius <modax@debian.org>  Sat, 29 May 2010 02:54:42 +0300

cmake (2.8.1-4) unstable; urgency=low

  * Further improve FinJNI.cmake. This should fix some inconsistencies on s390.
  * Add cpack_installed_size.diff to fix generation of Installed-Size field for
    deb packages. Thanks to Simone Rossetto for heads up and initial patch.

 -- Modestas Vainius <modax@debian.org>  Mon, 17 May 2010 01:24:41 +0300

cmake (2.8.1-3) unstable; urgency=medium

  * Add patches:
    - FindJNI_fix_libarch_determination.dif - rewrite _java_libarch
      determination code in FindJNI.cmake (based on OpenJDK 1.6.0_18 + icedtea
      patches). This should fix invalid _java_libarch detection on mipsel and
      armel (Closes: #544674).
    - FindGTK2_pangommconfig.diff - look for Pangomm Config include directory
      in FindGTK2.cmake (Closes: #579718). Thanks to Sune Vuorela for the
      patch.
  * Add gcc and make to cmake Suggests (Closes: #577516).
  * Rename (to kFreeBSD_Hurd_fixes.diff) and improve kFreeBSD_fixes.diff to fix
    FTBFS on GNU/Hurd as well.
  * Urgency=medium to minimize negative impact on KDE transition.

 -- Modestas Vainius <modax@debian.org>  Wed, 05 May 2010 11:49:57 +0300

cmake (2.8.1-2) unstable; urgency=low

  * Add kFreeBSD_fixes.diff patch to fix FTBFS on kfreebsd-* (failure of the
    CTestTestTimeout test).

 -- Modestas Vainius <modax@debian.org>  Thu, 18 Mar 2010 01:45:08 +0200

cmake (2.8.1-1) unstable; urgency=low

  * New upstream release.
  * Remove DMUA entry from debian/control. No longer needed.
  * Enable building in parallel (--parallel).
  * Update debian/patches:
    - drop bootstraptest_increase_timeout.diff - merged upstream;
    - hurd_platform.diff - adapt to upstream changes.
  * Forcefully set MINGW_CC_LINUX2WIN_EXECUTABLE to empty value. It breaks
    otherwise valid Simple_Mingw_Linux2Win test when ccache is enabled.
  * Update install files.
  * Update Standards-Version to 3.8.4: no changes needed.
  * Change my email address to modax@debian.org.

 -- Modestas Vainius <modax@debian.org>  Wed, 17 Mar 2010 17:51:38 +0200

cmake (2.8.0-5) unstable; urgency=low

  * Skip the unpredictably long and rather pointless BootstrapTest
    (Closes: #558001).

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 26 Nov 2009 14:20:46 +0200

cmake (2.8.0-4) unstable; urgency=medium

  * Replace bootstraptest_increase_timeout.diff with upstream version. My
    previous patch didn't work.
  * Revert previous "Build with g++-4.4 on hppa" change. It was not needed, build
    with default compiler on hppa.
  * Remove obsolete hack for parisc64 from debian/rules. It didn't work after
    switch to dh v7 anyway.
  * It should build on hppa now (Closes: #556653). So urgency=medium.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 25 Nov 2009 11:37:34 +0200

cmake (2.8.0-3) unstable; urgency=medium

  * Set HOME to current build directory when running test suite. This should
    fix failures of kwsys.testRegistry and FindPackageTest tests on the
    buildds.
  * Increase timeout of BootstrapTest to 2 hours so it no longer times out
    on s390 or armel (patch bootstraptest_increase_timeout.diff).
  * Fix GNU.cmake file used on Hurd. Thanks to Pino Toscano for the patch.
  * Build with g++-4.4 on hppa. May solve FTBFS (segfault likely due to
    miscompilation) reported in #556653.
  * Urgency medium due to likely RC bug fix (#556653).

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 22 Nov 2009 20:49:29 +0200

cmake (2.8.0-2) experimental; urgency=low

  * Reenable test suite.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 22 Nov 2009 00:38:54 +0200

cmake (2.8.0-1) unstable; urgency=low

  * New upstream release.
  * Disable test suite for now.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 14 Nov 2009 01:59:25 +0200

cmake (2.8.0~rc6-1) experimental; urgency=low

  * New upstream development release.
  * Switch debian/rules to use dh v7:
    - bump debhelper build depends to 7.3;
    - also drop unused Dart handling in the process;
    - enable test suite.
  * Add myself as Maintainer, A. Maitland Bottoms as Uploader (with
    permission).

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 10 Nov 2009 23:46:25 +0200

cmake (2.8.0~rc5-1) experimental; urgency=low

  * New upstream development release.
    - FindJNI.cmake does no longer get confused about multiple JVM installs
      (Closes: #553151).
  * Switch to dpkg-source format 3.0 (quilt):
    - drop build dependency on quilt;
    - drop quilt.make snippet include from debian/rules.
  * Build with CMAKE_USE_RELATIVE_PATHS=ON.
  * Drop tcp8.4 from build depends. Not needed.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 06 Nov 2009 22:47:17 +0200

cmake (2.8.0~rc3-1) experimental; urgency=low

  * New upstream development release.
    - ctest no longer segfaults on such a invalid input (Closes: #528530).
  * Drop all patches:
    - FindQt4.cmake2.6.diff - remove, no longer needed as original bug has been
      fixed since 2.6;
    - FindQt3.cmake.diff - remove, merged upstream;
    - findmpeg2-addpath.diff - remove, bug fixed upstream (in other way);
    - kfreebsd-Platform.diff - remove, merged upstream;
    - executables-dont-need-fpic.diff - remove, merged upstream;
    - manpage_friendly_docs.diff - remove, merged upstream;
    - fix_bashisms.diff - remove, merged upstream;
    - FindPerlLibs.cmake-perl-5.10.diff - remove, fixed upstream differently;
    - FindJNI.cmake-more-arches.diff - remove, was taken from upstream;
    - FindVTK.cmake-vtk-5.4.diff - remove, was taken from upstream.
  * Update install files.
  * Call dpkg with --print-architecture rather than obsolete
    --print-installation-architecture.
  * Fix lintian override cmake-data: extra-license-file.
  * Remove obsolete README.Debian.
  * cmake-curses-gui should not provide cmake-gui.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 11 Oct 2009 15:09:42 +0300

cmake (2.6.4-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.3, no changes needed.
  * Add ${misc:Depends} to Depends fields of packages.
  * Improve debian/watch:
    - make it scan remote directories recursively;
    - make it work with new upstream RC release mangling.
  * Remove Pierre Habouzit from Uploaders by his own request.
  * Backport FindJNI.cmake from CMake 2.8 CVS in order to make it arch
    independent on Linux. New FindJNI.cmake also supports most Linux arches and
    is capable of finding Sun Java, OpenJDK, Kaffe and GCJ (if latter is
    default-java) JVMs. Support for Debian specific /usr/lib/jvm/default-java is
    also included. Patch FindJNI.cmake-more-arches.diff (Closes: #544674).
  * Backport Modules/FindVTK.cmake from CMake 2.8 CVS. It adds support for VTK
    5.4. Patch FindVTK.cmake-vtk-5.4.diff (Closes: #546030).
  * Update debian/copyright with more details (Closes: #544290).
  * Make cmake-curses-gui and cmake-qt-gui packages provide 'cmake-gui'.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 30 Sep 2009 20:51:13 +0300

cmake (2.6.4-2) unstable; urgency=low

  * Prefer *-qt3 binary names to generic ones in FinqQt3.cmake
    (Closes: #538864).
  * Fix bashisms in CMake scripts (Closes: #530056).
  * Merge in 2.6.0-6 debian/changelog.
  * Use quilt.make rather than custom quilt patch implementation.
  * Make debian/rules dpkg-buildpackage -jX safe and support parallel
    in DEB_BUILD_OPTIONS (Closes: #538826).
  * Add FindPerlLibs.cmake-perl-5.10.diff patch which adds perl 5.10 support in
    FindPerlLibs.cmake  (Closes: #541609). Thanks to Joshua Rubin.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 21 Aug 2009 19:35:21 +0300

cmake (2.6.4-1) unstable; urgency=low

  * New upstream release.
  * Resync patches:
    - relative_path_fixes2.diff - removed, merged upstream;
    - FindQt4_qt4_lupdate_lrelease.diff - removed, merged upstream.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Remove deprecated dh_desktop from debian/rules.
  * Update manpage_friendly_docs.diff patch to fix more lintian warnings.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 02 May 2009 01:28:29 +0300

cmake (2.6.3-2) unstable; urgency=low

  * Remove do-not-use-lib64.diff, no longer needed (according to upstream).
  * Remove reinstate-arm.diff, merged upstream.
  * Upload to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 07 Mar 2009 15:13:56 +0200

cmake (2.6.3-1) experimental; urgency=low

  * New upstream release.
  * Update debian/patches:
    - remove find_package_support_prefix_lib_cmake.diff, merged upstream;
    - adopt FindQt4.cmake2.6.diff;
    - refresh do-not-use-lib64.diff;
    - remove relative_path_fixes.diff, merged upstream;
    - refresh relative_path_fixes2.diff;
    - remove manpage-generation-fixes.diff, merged upstream;
    - refresh FindQt4_qt4_lupdate_lrelease.diff;
    - remove FindMPEG2_include_FindSDL_fix.diff, merged upstream;
  * Use dh_prep instead of deprecated dh_clean -k (fixes lintian warning).
  * Call dh_desktop in the binary targets (fixes lintian warning).
  * Install cmake-gui docs to the cmake-qt-gui package.
  * Enable binary-indep target.
  * Add manpage_friendly_docs.diff patch to make some bits of documentation
    manpage friendly (eliminate warnings).
  * Fix installation of lintian overrides (move dh_lintian to binary targets).

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 24 Feb 2009 00:26:34 +0200

cmake (2.6.2-4) unstable; urgency=low

  * Release to unstable. No other changes.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 15 Feb 2009 23:33:47 +0200

cmake (2.6.2-3) experimental; urgency=low

  * Fix typo in cmake-qt-gui description.
  * Merge patch from upstream to support <prefix>/lib/cmake search path in
    find_package() config mode. This enables reduction of /usr/lib cluttering
    (find_package_support_prefix_lib_cmake.diff).
  * Tighten libqt4-dev build depend to version (>= 4.4.0) (Closes: #508349).

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 24 Dec 2008 00:45:20 +0200

cmake (2.6.2-2) experimental; urgency=low

  * Add Vcs fields.
  * Add patches:
    - FindQt4_qt4_lupdate_lrelease.diff - prefer lupdate-qt4 to lupdate and
      lrelease-qt4 to lrelease. This is specific to Debian Qt4.
      Thanks to Ludovico Cavedon (Closes: #487528).
    - FindMPEG2_include_FindSDL_fix.diff - fix FindSQL include in the
      MPEG2 module. Thanks to Leopold Palomo Avellaneda (Closes: #500770).
  * Try sorting out emacsen mess once again (Closes: #481391):
    - depend on emacsen-common;
    - old-prerm will most likely fail spewing emacsen-common error message
      when upgrading from previous version but this is OK. Add a custom
      prerm script which recovers from the problem and notifies the user to
      ignore the error message.
  * Rewrite cmake cache initialization code. Pass initial cmake flags via
    file (--init= argument to the bootstrap script).
  * Make build verbose again.
  * Prepare for multiple binary packages: switch to install files and to
    debhelper v7 (due to more convenient install file handling), install
    everything to debian/tmp initially.
  * Add new binary packages:
    - cmake-data - split off data files needed for each cmake flavour to run.
      Move emacsen stuff in here too;
    - cmake-curses-gui - splif off ccmake here from the cmake package;
    - cmake-qt-gui - build & install Qt4 based GUI (cmake-gui). Add menu file
      and manual page (Closes: #482787). Update debian/copyright.
  * Dynamically link against system libraries available in Debian
    (Closes: #502441).
  * Remove left-over debian/doxygen.config.
  * Rename debian/docs to debian/cmake-data.docs and clean it up. Do not
    install ChangeLog.txt. It is size and usefulness ratio is too low to
    justify inclusion in the binary package.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 01 Nov 2008 14:07:08 +0200

cmake (2.6.2-1) experimental; urgency=low

  * New upstream release.
  * New co-maintainer:
    - add myself to Uploaders.
    - add DM-Upload-Allowed: yes to debian/control.
  * Refresh patches:
    - FindQt4.cmake2.6.diff
    - do-not-use-lib64.diff
  * Add patches from upstream CVS:
    - relative_path_fixes.diff - fixes a couple of major bugs in Makefile
      generation when CMAKE_USE_RELATIVE_PATHS is ON. This brings
      CMAKE_USE_RELATIVE_PATHS=ON to a very usable state.
    - manpage-generation-fixes.diff - fixes a few manual page generation
      issues. This resolves all lintian warnings and info tags related
      to the cmake manual pages.
  * Bump Standards-Version to 3.8.0:
    - add README.source which directs the reader to quilt README.source.
  * Use dh_lintian:
    - rename cmake.lintian to cmake.lintian-overrides;
    - bump debhelper compat level to 6;
    - build depend on debhelper (>= 6.0.7~).
  * Fix path in the lintian override so it is effective again.
  * Make cmake.menu conform to the current Debian Menu System standard.
  * Drop unused old manual pages from debian/. They are provided by upstream
    now.
  * Add debian/watch.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 13 Oct 2008 19:24:49 +0300

cmake (2.6.0-6) unstable; urgency=medium

  * Dynamically link against system libraries available in Debian.
    Thanks to Michal Čihař (Closes: #502441).
  * Urgency medium due to security issue above.
  * Add Vcs fields.
  * Add myself to Uploaders.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 16 Oct 2008 22:18:14 +0300

cmake (2.6.0-5) unstable; urgency=medium

  * Fix build-deps: libncursesw5-dev doesn't work, just use the non wide one.
    This will build ccmake again (Closes: #481392).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 29 Jul 2008 11:05:17 +0200

cmake (2.6.0-4) unstable; urgency=low

  * Really remove dependency on emacsen-common (Closes: #471975).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 14 May 2008 21:01:42 +0200

cmake (2.6.0-3) unstable; urgency=low

  * Remove dependency on emacsen-common (Closes: #471975):
    emacs guys, I was asked in a previous bug (#427763) to byte-compile the
    cmake extension, the policy mandates a dependency upon emacs which is
    silly, and depending upon emacsen-common breaks the whole thing. A
    pre-depends would be insane, WHY ON EARTH is the emacs policy so horribly
    broken ? Until someone answers that, cmake will stay in the previous state
    with byte-compilation, and without any emacs dependency.

  * Add patches/reinstate-arm.diff to fix FTBFS on arm platforms
    (Closes: #481016)

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 13 May 2008 10:18:12 +0200

cmake (2.6.0-2) unstable; urgency=low

  * Upload to unstable this time.
  * Depend upon emacsen-common (Closes: #471975).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 12 May 2008 18:13:33 +0200

cmake (2.6.0-1) experimental; urgency=low

  * Update patches/FindQt4.cmake2.6.diff (Closes: #479907).
  * Add patches/executables-dont-need-fpic.diff (Closes: #478404).
  * Bump Standards-Version to 3.7.3.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 12 May 2008 17:11:04 +0200

cmake (2.6.0~rc8-1.1) experimental; urgency=low

  * Non-maintainer upload with permission from DadCoder.
    Happy Prague visit.
  * Fix FindQt4.cmake (Closes: #477110)

 -- Sune Vuorela <debian@pusling.com>  Sun, 20 Apr 2008 22:58:33 +0200

cmake (2.6.0~rc8-1) experimental; urgency=low

  * New upstream rc release.
  * Update patches:
     + drop findmpeg2-robustness.diff.
     + drop hurd-SA_SIGINFO.diff.
     + drop nsis-support.diff.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 18 Apr 2008 20:49:30 +0200

cmake (2.4.8-1) unstable; urgency=low

  [ Pierre Habouzit ]
  * New upstream release (Closes: 462335).
  * remove patches/hurd-Platform.diff, merged upstream.

  [ Rafael Laboissiere ]
  * debian/rules, debian/cmake.emacsen-{startup,install,remove}: Allow
    byte-compilation of cmake-mode.el at install time and put in the
    emacsen startup directory just the necessary initialization code
    of cmake-mode (Closes: 427763)

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 25 Jan 2008 10:19:47 +0100

cmake (2.4.7-1) unstable; urgency=low

  * New upstream release.
  * Drop patches/findqt4-binaries-order.diff (Closes: #433105).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Jul 2007 18:58:37 +0200

cmake (2.4.6-1) unstable; urgency=low

  * Upload to unstable.
  * Make FindMPEG2.cmake more robust (Closes: 419134).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 18 Jun 2007 10:24:58 +0100

cmake (2.4.6-0) experimental; urgency=low

  * New upstream release (experimental upload, 2.4.5 must propagate):
     + Ruby NAMES now includes ruby1.8 (Closes: 407481).

  * Add patch to support NSIS on linux properly,
    thanks to Michal Čihař (Closes: 408846).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 13 Jun 2007 12:39:42 +0200

cmake (2.4.5-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Ack my NMU (Closes: 419007, 407155, 407304).
  * Move to quilt, split diff.gz into patches, to avoid losing them.

  * debian/rules:
     + add quilt snipplets.
     + remove commented dh_ calls.
     + remove old cruft, make it shorter.
     + Avoid subshells, use makeism's rather than shell if/then/else.

  * Lintian warnings:
     + use debian/compat rather than DH_COMPAT.
     + add an override for the extra-license-file that in fact is a template.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 07 Jun 2007 11:09:46 +0200

cmake (2.4.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable lib64 paths in FindLibrary, as it's not needed in debian and
    yields incorrect results (Closes: #419007).
  * Apply Hurd Porter patch to deal with undefined SA_SIGINFO
    (Closes: #407304).
  * Reintroduce lost GNU.cmake (Closes: #407155).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 05 Jun 2007 13:28:35 +0200

cmake (2.4.5-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #401071)
    Fix for seg fault when a macro runs a bad command BUG# 3815
    Fix fix for foo.dll.lib that does not break -L/usr/lib in link names
    Fix problem with LIBRARY_OUTPUT_PATH and linking to a dll foo.dll.lib  instead of foo.lib
    Do not depend on optimized libraries for a debug build and visa versa.
    Fix target name matching custom command output conflict.
    Fix FindQt3 so that it does not find qt4
    Fix FindKDE4 so that it only looks for kde4-config

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon,  4 Dec 2006 16:29:44 -0500

cmake (2.4.4-1) unstable; urgency=low

  * New upstream release
  * Upstream fixes parsing bug (Closes: #392624)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 25 Nov 2006 19:49:38 -0500

cmake (2.4.3-3) unstable; urgency=low

  * Have FindMPEG2 look in paths used in Debian (Closes: #391831)
  * Make FindQt4 more reliable (Closes: #392473)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Nov 2006 11:27:35 -0500

cmake (2.4.3-2) unstable; urgency=low

  * Remove recommends line (Closes: #392013, #392044)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 10 Oct 2006 21:33:40 -0400

cmake (2.4.3-1) unstable; urgency=low

  * New upstream release
  * recognize .F90 as a fortran source extension (Closes: #376587)
  * don't install cmake .vim files (Closes: #366663)
  * don't depend upon emacs, let dh_installemacsen handle it (Closes: #378998)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  5 Aug 2006 17:06:11 -0400

cmake (2.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #338324)
  * Put cmake .vim files into /usr/share/vim/addons/plugin/
    where they can be used. (Closes: #366663)
  * Install cmake-mode.el so it can be used. (Closes: #366664)
  * Ensure cmake FindKDE locates KDE libraries on Debian
    based distributions.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Jun 2006 16:34:11 -0400

cmake (2.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #338324)
  * support GNU/kFreeBSD in cmake (Closes: #340764)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun,  8 Jan 2006 10:48:14 -0500

cmake (2.0.6-2) unstable; urgency=low

  * Apply upstream patch to fix UseSWIG.cmake (Closes: #330581)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Sep 2005 15:29:19 -0400

cmake (2.0.6-1) unstable; urgency=low

  * New upstream release
  * g++ 4.0 Transition

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 11 Sep 2005 14:51:36 -0400

cmake (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed,  2 Mar 2005 09:22:44 -0500

cmake (2.0.3-1) unstable; urgency=low

  * New upstream release
  * finds QT's moc, gets bug closing syntax right (Closes: #250000)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 12 Aug 2004 09:21:32 -0400

cmake (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 23 Jun 2004 13:51:38 -0400

cmake (2.0.1-1) unstable; urgency=low

  * New upstream release with soname and soversion support
  * find QT's moc (Closes: 250000)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon,  7 Jun 2004 22:08:50 -0400

cmake (1.8.2.1-1) unstable; urgency=low

  * From CVS to pick up soname and soversion support

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 26 Nov 2003 21:46:54 -0500

cmake (1.8.1-1) unstable; urgency=low

  * New upstream release
  * Add Gavin Baker's Take II on adding versioning support for shared libraries

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun,  9 Nov 2003 09:43:02 -0500

cmake (1.6.7-2) unstable; urgency=low

  * Add Gavin Baker's Take II on adding versioning support for shared libraries

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 23 Jun 2003 13:39:03 -0400

cmake (1.6.7-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 23 Jun 2003 13:06:46 -0400

cmake (1.6.5-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Feb 2003 11:25:58 -0500

cmake (1.6.4-1) unstable; urgency=low

  * New upstream release, move up to tcl8.4

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Feb 2003 16:06:12 -0500

cmake (1.4.7-1) unstable; urgency=low

  * New upstream release
  * Build without dart-client network submission (Closes: #175579)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 06 Jan 2003 19:02:36 -0500

cmake (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 24 Oct 2002 21:19:47 -0400

cmake (1.4.5-2) unstable; urgency=low

  * Don't put man page in /usr/man (Closes: #163901)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 17 Oct 2002 17:43:22 -0400

cmake (1.4.5-1) unstable; urgency=low

  * New upstream version.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 20 Sep 2002 23:33:49 -0400

cmake (1.4.3-3) unstable; urgency=low

  * Build with Dart, build in separate Build directory to make cleanup easier
  * New upstream man page
  * CMakeSetup no longer exists upstream, Debian menu now refers to ccmake

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue,  6 Aug 2002 19:05:05 -0400

cmake (1.4.3-2) unstable; urgency=low

  * Oh no, not again.
  * Use -ffunction-sections on parisc64 (closes: #155366)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  3 Aug 2002 21:45:37 -0400

cmake (1.4.3-1) unstable; urgency=low

  * New upstream. (Closes: #155296)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  3 Aug 2002 00:02:18 -0400

cmake (1.2-2) unstable; urgency=low

  * Use -ffunction-sections on parisc64 (closes: #133696)

 -- Maitland Bottoms <bottoms@sarti.debian.org>  Thu, 14 Feb 2002 18:36:25 +0000

cmake (1.2-1) unstable; urgency=low

  * New upstream.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu,  9 Jan 2002 17:20:12 -0500

cmake (1.0-1) unstable; urgency=low

  * Newer upstream. (Need to keep up with VTK 4 build needs)
  * Patched support for DESTDIR in install targets
  * Patched option to disable use of -rpath using CMAKE_SKIP_RPATH
  * include cmake-mode.el

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu,  9 Jan 2002 17:20:12 -0500

cmake (0.98-1) unstable; urgency=low

  * Newer upstream, includes curses interface: ccmake
  * Patched to support make install DESTDIR=foo

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 17 Dec 2001 19:54:32 -0500

cmake (0.96-1) unstable; urgency=low

  * Initial Release.
    (Closes: #121610)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Nov 2001 08:45:22 -0500

cmake (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed,  2 Mar 2005 09:22:44 -0500

cmake (2.0.3-1) unstable; urgency=low

  * New upstream release
  * finds QT's moc, gets bug closing syntax right (Closes: #250000)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 12 Aug 2004 09:21:32 -0400

cmake (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 23 Jun 2004 13:51:38 -0400

cmake (2.0.1-1) unstable; urgency=low

  * New upstream release with soname and soversion support
  * find QT's moc (Closes: 250000)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon,  7 Jun 2004 22:08:50 -0400

cmake (1.8.2.1-1) unstable; urgency=low

  * From CVS to pick up soname and soversion support

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 26 Nov 2003 21:46:54 -0500

cmake (1.8.1-1) unstable; urgency=low

  * New upstream release
  * Add Gavin Baker's Take II on adding versioning support for shared libraries

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun,  9 Nov 2003 09:43:02 -0500

cmake (1.6.7-2) unstable; urgency=low

  * Add Gavin Baker's Take II on adding versioning support for shared libraries

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 23 Jun 2003 13:39:03 -0400

cmake (1.6.7-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 23 Jun 2003 13:06:46 -0400

cmake (1.6.5-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Feb 2003 11:25:58 -0500

cmake (1.6.4-1) unstable; urgency=low

  * New upstream release, move up to tcl8.4

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Feb 2003 16:06:12 -0500

cmake (1.4.7-1) unstable; urgency=low

  * New upstream release
  * Build without dart-client network submission (Closes: #175579)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 06 Jan 2003 19:02:36 -0500

cmake (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 24 Oct 2002 21:19:47 -0400

cmake (1.4.5-2) unstable; urgency=low

  * Don't put man page in /usr/man (Closes: #163901)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 17 Oct 2002 17:43:22 -0400

cmake (1.4.5-1) unstable; urgency=low

  * New upstream version.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 20 Sep 2002 23:33:49 -0400

cmake (1.4.3-3) unstable; urgency=low

  * Build with Dart, build in separate Build directory to make cleanup easier
  * New upstream man page
  * CMakeSetup no longer exists upstream, Debian menu now refers to ccmake

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue,  6 Aug 2002 19:05:05 -0400

cmake (1.4.3-2) unstable; urgency=low

  * Oh no, not again.
  * Use -ffunction-sections on parisc64 (closes: #155366)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  3 Aug 2002 21:45:37 -0400

cmake (1.4.3-1) unstable; urgency=low

  * New upstream. (Closes: #155296)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  3 Aug 2002 00:02:18 -0400

cmake (1.2-2) unstable; urgency=low

  * Use -ffunction-sections on parisc64 (closes: #133696)

 -- Maitland Bottoms <bottoms@sarti.debian.org>  Thu, 14 Feb 2002 18:36:25 +0000

cmake (1.2-1) unstable; urgency=low

  * New upstream.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu,  9 Jan 2002 17:20:12 -0500

cmake (1.0-1) unstable; urgency=low

  * Newer upstream. (Need to keep up with VTK 4 build needs)
  * Patched support for DESTDIR in install targets
  * Patched option to disable use of -rpath using CMAKE_SKIP_RPATH
  * include cmake-mode.el

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu,  9 Jan 2002 17:20:12 -0500

cmake (0.98-1) unstable; urgency=low

  * Newer upstream, includes curses interface: ccmake
  * Patched to support make install DESTDIR=foo

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 17 Dec 2001 19:54:32 -0500

cmake (0.96-1) unstable; urgency=low

  * Initial Release.
    (Closes: #121610)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Nov 2001 08:45:22 -0500

